Package org.springframework.batch.core.step

# Class StepLocatorStepFactoryBean

java.lang.Object
org.springframework.batch.core.step.StepLocatorStepFactoryBean

All Implemented Interfaces:
  `org.springframework.beans.factory.FactoryBean<Step>`

public class StepLocatorStepFactoryBean extends Object implements org.springframework.beans.factory.FactoryBean<Step>
Convenience factory for `Step` instances given a `StepLocator`. Most implementations of `Job` implement StepLocator, so that can be a good starting point.

Author:
  Dave Syer

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `StepLocator`
  `stepLocator`
  `String`
  `stepName`

  ### Fields inherited from interface org.springframework.beans.factory.FactoryBean

  `OBJECT_TYPE_ATTRIBUTE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StepLocatorStepFactoryBean()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Step`
  `getObject()`
  `Class<? extends Step>`
  `getObjectType()`
  Tell clients that we are a factory for `Step` instances.
  `boolean`
  `isSingleton()`
  Always return true as optimization for bean factory.
  `void`
  `setStepLocator(StepLocator stepLocator)`
  `void`
  `setStepName(String stepName)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### stepLocator

    public StepLocator stepLocator

  - ### stepName

    public String stepName

- ## Constructor Details

  - ### StepLocatorStepFactoryBean

    public StepLocatorStepFactoryBean()

- ## Method Details

  - ### setStepLocator

    public void setStepLocator(StepLocator stepLocator)
    Parameters:
      `stepLocator` - instance of `StepLocator` to be used by the factory bean.

  - ### setStepName

    public void setStepName(String stepName)
    Parameters:
      `stepName` - the name to be associated with the step.

  - ### getObject

    public Step getObject() throws Exception
    Specified by:
      `getObject` in interface `org.springframework.beans.factory.FactoryBean<Step>`
    Throws:
      `Exception`
    See Also:
      - `FactoryBean.getObject()`

  - ### getObjectType

    public Class<? extends Step> getObjectType()
    Tell clients that we are a factory for `Step` instances.
    Specified by:
      `getObjectType` in interface `org.springframework.beans.factory.FactoryBean<Step>`
    See Also:
      - `FactoryBean.getObjectType()`

  - ### isSingleton

    public boolean isSingleton()
    Always return true as optimization for bean factory.
    Specified by:
      `isSingleton` in interface `org.springframework.beans.factory.FactoryBean<Step>`
    See Also:
      - `FactoryBean.isSingleton()`